set.refentry.metadata
Prev | Common » Refentry Metadata Template Reference | Next

## set.refentry.metadata

set.refentry.metadata — Sets content of a refentry metadata item

## Synopsis

    <xsl:template name="set.refentry.metadata">
    <xsl:param name="refname"/>
    <xsl:param name="info"/>
    <xsl:param name="contents"/>
    <xsl:param name="context"/>
    <xsl:param name="preferred"/>
      ...
    </xsl:template>

## Description

The `set.refentry.metadata` template is called each time a suitable source element is found for a certain metadata field.

## Parameters

refname

  The first `refname` in the refentry

info

  A single *info node that contains the selected source element.

contents

  A node containing the selected source element.

context

  A string describing the metadata context in which the `set.refentry.metadata` template was called: either "date", "source", "version", or "manual".

## Returns

Returns formatted contents of a selected source element.

Prev | Up | Next
get.refentry.metadata.prefs | Home | Common » Utility Template Reference